import { defineConfig } from '@umijs/max';
import dayjs from 'dayjs';

export default defineConfig({
  outputPath: `dist/dist-${dayjs().format('YYYYMMDD')}`,
  antd: {},
  access: {},
  model: {},
  initialState: {},
  request: {},
  mfsu: false,
  qiankun: {
    slave: {
      enable: true,
    },
  },
  base: '/v2/',
  routes: [
    {
      path: '/',
      redirect: '/about',
    },
    {
      name: '关于大赛',
      path: '/about',
      component: './Home',
    },
  ],
  npmClient: 'pnpm',
});
